package com.imdroid.secapi.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name="RtcmClient",url = "http://localhost:9904/gnss")
public interface RtcmClient {
    @PostMapping("/config")
    HttpResp config(@RequestParam(name = "deviceId") String deviceId, @RequestParam(name = "configuration") String configData);

    @PostMapping("/device_param_changed")
    HttpResp deviceParamChanged(@RequestParam(name = "deviceId") String deviceId);

    @PostMapping("/group_param_changed")
    HttpResp groupParamChanged();

    @PostMapping("/warning_param_changed")
    HttpResp warningParamChanged();
}
